// Code generated by MockGen. DO NOT EDIT.
// Source: interfaces.go

// Package repository is a generated GoMock package.
package repository

import (
	reflect "reflect"

	gomock "go.uber.org/mock/gomock"
)

// MockIDer is a mock of IDer interface.
type MockIDer struct {
	ctrl     *gomock.Controller
	recorder *MockIDerMockRecorder
}

// MockIDerMockRecorder is the mock recorder for MockIDer.
type MockIDerMockRecorder struct {
	mock *MockIDer
}

// NewMockIDer creates a new mock instance.
func NewMockIDer(ctrl *gomock.Controller) *MockIDer {
	mock := &MockIDer{ctrl: ctrl}
	mock.recorder = &MockIDerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockIDer) EXPECT() *MockIDerMockRecorder {
	return m.recorder
}

// NewString mocks base method.
func (m *MockIDer) NewString() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "NewString")
	ret0, _ := ret[0].(string)
	return ret0
}

// NewString indicates an expected call of NewString.
func (mr *MockIDerMockRecorder) NewString() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "NewString", reflect.TypeOf((*MockIDer)(nil).NewString))
}
